<!--INICIO DO CONTEUDO-->
<section class="content-header">
</section>

<section class="content">
  <section class="invoice">

    

        <form #form='ngForm' novalidade>
          <div class="row">
            <div class="col-xs-12">
              <h2 class="page-header">
                <i class="fa fa-shopping-cart"></i> Finalize o seu pedido
              </h2>
            </div>
          </div>                

          <div class="row invoice-info">
            <div class="col-xs-12">
              <p class="lead">Endereço de Entrega:</p>
            </div>
            <div class="col-sm-6 col-xs-12">
              <mt-input-container errorMessage="Campo obrigatório e com 5 caracteres" label="Endereço">
                <input class="form-control" pattern="^[A-Za-záàâãéèêíïóôõöúçñÁÀÂÃÉÈÍÏÓÔÕÖÚÇÑ ]+$" name="address" placeholder="Endereço" ngModel required minlength="5" autocomplete="off">
              </mt-input-container>
            </div>

            <div class="col-sm-3 col-xs-6">
              <mt-input-container errorMessage="Obrigatório e somente números" label="Numéro">
                  <input type="text" class="form-control" pattern="^[0-9]*$" name="number" required ngModel placeholder="Número" autocomplete="off">
              </mt-input-container>
            </div>

            <div class="col-sm-3 col-xs-6">
              <mt-input-container>
                  <input type="text" class="form-control" name="optionalAddress" ngModel placeholder="Complemento">
              </mt-input-container>
            </div>
            <!-- /.col -->
          </div>
          <!-- /.row -->

          <!-- Table row -->
          <div class="row">
            <div class="col-xs-12">
              <p class="lead">Itens do Pedido:</p>
            </div>
            <mt-order-items [items]="cartItems()"
            (increaseQty)="increaseQty($event)"
            (decreaseQty)="decreaseQty($event)"
            (remove)="remove($event)"></mt-order-items>
            <!-- /.col -->
          </div>
          <!-- /.row -->

          <div class="row">
            <!-- accepted payments column -->
            <div class="col-sm-6 col-xs-12">
              <p class="lead">Formas de Pagamento:</p>

                <div class="form-group">
                   <mt-radio [options]="paymentOptions" required name="paymentOption" ngModel></mt-radio>
                </div>

            </div>
            <!-- /.col -->
            <div class="col-sm-6 col-xs-12">
              <p class="lead">Frete e Total:</p>

              <mt-delivery-costs 
              [delivery]="delivery"
              [itemsValue]="itemsValue()"></mt-delivery-costs>
            </div>
            <!-- /.col -->
          </div>

        </form>

        <div class="row">
          <div class="col-xs-12">
            <button (click)="checkOrder(form.value)" href="order-summary.html" class="btn btn-success pull-right" 
              [disabled]="!form.valid || cartItems().length === 0">
              <i class="fa fa-credit-card"></i> Concluir Pedido
            </button>
          </div>
        </div>

    </section>
</section>
<!-- FIM DO CONTEUDO-->